require 'spec_helper'

describe 'openldap::server::globalconf' do
  let(:title) { 'namevar' }
  let(:pre_condition) { "class {'openldap::server':}" }
  let(:params) do
    { value: 'bar' }
  end

  on_supported_os.each do |os, os_facts|
    context "on #{os}" do
      let(:facts) { os_facts }

      it { is_expected.to compile }
    end
  end
end
